Subject: LRO: Series III "Green Bible"

From: [email-masked]
Date: Fri, 18 May 2001 23:52:33 -0400

Hi all, 

Since I am new to series III, I don't have a "Green Bible", even though I have the ser IIA workshop manuals. 

Today I saw on Amazon a "Land Rover Ser3 repair manual ill -Year- 1991 manual" (approx 300pps part#AKM3648 ISBN - 185520108) for $37.50 plus $6.95 S&H 

This price seems awfully cheap for a complete workshop manual. 

Is the Series III workshop manual a 2 parter like the IIA manual? 

Cheers, 
Ray Burton 
'64 IIA 109 SW
'70 IIA 88 Hardtop
'73 III 109 softtop (ex-MoD)
'84 RR